Package org.opensaml.security.httpclient

# Class TLSCriteriaSetCriterion

java.lang.Object
org.opensaml.security.httpclient.TLSCriteriaSetCriterion

All Implemented Interfaces:
  `Criterion`

public final class TLSCriteriaSetCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies criteria pertaining usage of the resolved credential.

## Field Summary

Fields
Modifier and Type
Field
Description
`private CriteriaSet`
`criteriaSet`
TLS CriteriaSet data.

## Constructor Summary

Constructors
Constructor
Description
`TLSCriteriaSetCriterion(CriteriaSet criteria)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`CriteriaSet`
`getCriteria()`
Get the key usage criteria.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### criteriaSet

@Nonnull private CriteriaSet criteriaSet
TLS CriteriaSet data.

## Constructor Details

### TLSCriteriaSetCriterion

public TLSCriteriaSetCriterion(@Nonnull CriteriaSet criteria)
Constructor.

Parameters:
  `criteria` - the TLS criteria set

## Method Details

### getCriteria

@Nonnull public CriteriaSet getCriteria()
Get the key usage criteria.

Returns:
  Returns the usage.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`